Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 9 of 9
  1. #1
    Senior Member
    Join Date
    Nov 2010
    Location
    Hertfordshire, UK
    Posts
    2,578

    LMS fails to run on xubuntu 17.10

    It is my (possibly stupid) habit to keep all my systems well up to date. So I updated to xubuntu 17.10 today. LMS starts, but immediately fails with "Logitech Media Server died. Restarting" repeatedly.

    I see nothing on the syslog.

    How can I can more information from LMS to diagnose this given that I can't even change the log settings? I tried adding --diag to the startup but got no more on the LMS log.
    LMS 7.9.1 on VortexBox Midi box, Xubuntu 17.10, FLACs 16->24 bit, 44.1->192kbps. Touch & EDO. 2nd Touch standard.
    LMS plugin UPnP/DLNA Bridge to MF M1 CLiC (to A308CR amp & ESLs) & Marantz CR603 UPnP renderers.
    Alternatively Minimserver & Upplay to same & to upmpdcli/mpd PC renderers.
    Squeezelite to Meridian USB Explorer DAC to PC speakers/headphones.
    Wireless Xubuntu 17.10 laptop firefox/upplay or Android 'phone with Squeeze-Commander/BubbleUPnP controls LMS/Minimserver.

  2. #2
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    3,305
    Quote Originally Posted by PasTim View Post
    It is my (possibly stupid) habit to keep all my systems well up to date. So I updated to xubuntu 17.10 today. LMS starts, but immediately fails with "Logitech Media Server died. Restarting" repeatedly.

    I see nothing on the syslog.

    How can I can more information from LMS to diagnose this given that I can't even change the log settings? I tried adding --diag to the startup but got no more on the LMS log.
    Could it be that Perl was upgraded as well? I've not looked into details, but I've seen a few threads about 5.26 support. Some plugins (that I know for sure ) do not have yet binaries built for 5.26
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express, GGMM E5

  3. #3
    Senior Member
    Join Date
    Jan 2010
    Location
    Hertfordshire
    Posts
    1,089
    Quote Originally Posted by PasTim View Post
    It is my (possibly stupid) habit to keep all my systems well up to date. So I updated to xubuntu 17.10 today. LMS starts, but immediately fails with "Logitech Media Server died. Restarting" repeatedly.

    I see nothing on the syslog.

    How can I can more information from LMS to diagnose this given that I can't even change the log settings? I tried adding --diag to the startup but got no more on the LMS log.
    I think this is normally a problem with perl version. Type perl -v in a terminal window to get the version.

    Sent from my SM-G900F using Tapatalk

  4. #4
    Senior Member
    Join Date
    Nov 2010
    Location
    Hertfordshire, UK
    Posts
    2,578
    Quote Originally Posted by slartibartfast View Post
    I think this is normally a problem with perl version. Type perl -v in a terminal window to get the version.

    Sent from my SM-G900F using Tapatalk
    By bypassing the squeezeboxserver-safe stage I managed to get the following error message:

    Starting Logitech Media ServerThe following modules failed to load: DBI EV XML::Parser::Expat HTML::Parser JSON::XS Digest::SHA1 Sub::Name

    My perl version is "perl 5, version 26, subversion 0 (v5.26.0) built for x86_64-linux-gnu-thread-multi (with 56 registered patches, see perl -V for more detail)"


    Having also tried an older version I'm now stuck trying to install any version at all, getting permission errors on /var/lib/dpkg/info/logitechmediaserver.list-new
    Edit - I've resolved the installation issue, and installed the latest 7.9.1, but it still fails to run.
    Last edited by PasTim; 2017-10-23 at 02:35. Reason: I've resolved the installation issue
    LMS 7.9.1 on VortexBox Midi box, Xubuntu 17.10, FLACs 16->24 bit, 44.1->192kbps. Touch & EDO. 2nd Touch standard.
    LMS plugin UPnP/DLNA Bridge to MF M1 CLiC (to A308CR amp & ESLs) & Marantz CR603 UPnP renderers.
    Alternatively Minimserver & Upplay to same & to upmpdcli/mpd PC renderers.
    Squeezelite to Meridian USB Explorer DAC to PC speakers/headphones.
    Wireless Xubuntu 17.10 laptop firefox/upplay or Android 'phone with Squeeze-Commander/BubbleUPnP controls LMS/Minimserver.

  5. #5

  6. #6
    Senior Member
    Join Date
    Nov 2010
    Location
    Hertfordshire, UK
    Posts
    2,578
    Thanks. It all looks a bit daunting for me. I can usually do such stuff eventually, but I'm very slow at it and often get confused by small issues. I'm also concerned about stuff around the edges, such as plugins, converter versions (sox etc) and so on. I may wait a while and see if Michael gives an ETA.
    LMS 7.9.1 on VortexBox Midi box, Xubuntu 17.10, FLACs 16->24 bit, 44.1->192kbps. Touch & EDO. 2nd Touch standard.
    LMS plugin UPnP/DLNA Bridge to MF M1 CLiC (to A308CR amp & ESLs) & Marantz CR603 UPnP renderers.
    Alternatively Minimserver & Upplay to same & to upmpdcli/mpd PC renderers.
    Squeezelite to Meridian USB Explorer DAC to PC speakers/headphones.
    Wireless Xubuntu 17.10 laptop firefox/upplay or Android 'phone with Squeeze-Commander/BubbleUPnP controls LMS/Minimserver.

  7. #7
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    3,305
    On thing you can do is trying perlbrew to have different versions of perl installed. That's what I use to compile the librairies for my plugins when I need various versions of perl. Perlbrew itself is very simple to install and use, I'm not sure how to force it to be the active version when LMS starts, but I think it's fairly simple as well, like a path and an environment variable to be set in the LMS script
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express, GGMM E5

  8. #8
    Senior Member
    Join Date
    Aug 2012
    Location
    Austria
    Posts
    652
    Quote Originally Posted by philippe_44 View Post
    On thing you can do is trying perlbrew to have different versions of perl installed. That's what I use to compile the librairies for my plugins when I need various versions of perl. Perlbrew itself is very simple to install and use,
    See here for why perlbrew isn't a good fit for this use case.
    I'm not sure how to force it to be the active version when LMS starts, but I think it's fairly simple as well, like a path and an environment variable to be set in the LMS script
    See this post.

  9. #9
    Senior Member
    Join Date
    Nov 2010
    Location
    Hertfordshire, UK
    Posts
    2,578
    Michael has, as usual, done great stuff and released an updated LMS so all is well.

    See http://forums.slimdevices.com/showth...900#post897900

    I'm also attempting a build using an older perl so I don't get caught out again.

    See http://forums.slimdevices.com/showth...-contained-LMS
    LMS 7.9.1 on VortexBox Midi box, Xubuntu 17.10, FLACs 16->24 bit, 44.1->192kbps. Touch & EDO. 2nd Touch standard.
    LMS plugin UPnP/DLNA Bridge to MF M1 CLiC (to A308CR amp & ESLs) & Marantz CR603 UPnP renderers.
    Alternatively Minimserver & Upplay to same & to upmpdcli/mpd PC renderers.
    Squeezelite to Meridian USB Explorer DAC to PC speakers/headphones.
    Wireless Xubuntu 17.10 laptop firefox/upplay or Android 'phone with Squeeze-Commander/BubbleUPnP controls LMS/Minimserver.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •